Desinstalação do LibreOffice

1. Desinstalação do LibreOffice

João Paulo Ramos Rezende
jprrezende

(usa Debian)

Enviado em 10/08/2015 - 11:09h

Pessoal,

eu uso Debian 8 e estou tentando desinstalar o Libreoffice 4.3 que veio junto com o sistema. Eu quero instalar a versão 5.0 que baixei direto do site do libreoffice. Entretanto quando eu tento remover o Libreoffice 4.3 o apt me diz que será preciso remover também o pacote gnome. Como faço para remover o libreoffice 4.3 sem remover o gnome?


  


2. Re: Desinstalação do LibreOffice

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 10/08/2015 - 11:37h

Um momento: remover o LibreOffice leva o GNOME junto?

1) Como você está fazendo para remover o LibreOffice? Posta aqui pra gente ver.
2) Depois quando eu digo que o GNOME é um lixo e as Debian-like não prestam e não são estáveis, nego pensa que é exagero meu...
--
Luís Fernando Carvalho Cavalheiro
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta


3. Re: Desinstalação do LibreOffice

Lucas Alves Santos
Lwkas

(usa XUbuntu)

Enviado em 10/08/2015 - 11:37h

Tenta remover assim:

apt-get --no-install-recommends --no-install-suggests remove libreoffice 



4. Re: Desinstalação do LibreOffice

Lucas Alves Santos
Lwkas

(usa XUbuntu)

Enviado em 10/08/2015 - 11:39h

Ja tentou usar o aptitude?


5. Re: Desinstalação do LibreOffice

João Paulo Ramos Rezende
jprrezende

(usa Debian)

Enviado em 10/08/2015 - 11:46h

Estou usando conforme orientação na wiki page do debian:

sudo aptitude purge libreoffice?

ao executar ele retorna o seguinte:


sudo aptitude purge libreoffice?
"libreoffice-l10n-4.3" is a virtual package provided by:
libreoffice-l10n-zu libreoffice-l10n-zh-tw libreoffice-l10n-zh-cn libreoffice-l10n-xh libreoffice-l10n-vi libreoffice-l10n-ve
libreoffice-l10n-uz libreoffice-l10n-uk libreoffice-l10n-ug libreoffice-l10n-ts libreoffice-l10n-tr libreoffice-l10n-tn libreoffice-l10n-th
libreoffice-l10n-tg libreoffice-l10n-te libreoffice-l10n-ta libreoffice-l10n-sv libreoffice-l10n-st libreoffice-l10n-ss libreoffice-l10n-sr
libreoffice-l10n-sl libreoffice-l10n-sk libreoffice-l10n-si libreoffice-l10n-rw libreoffice-l10n-ru libreoffice-l10n-ro libreoffice-l10n-pt-br
libreoffice-l10n-pt libreoffice-l10n-pl libreoffice-l10n-pa-in libreoffice-l10n-or libreoffice-l10n-om libreoffice-l10n-oc libreoffice-l10n-nso
libreoffice-l10n-nr libreoffice-l10n-nn libreoffice-l10n-nl libreoffice-l10n-ne libreoffice-l10n-nb libreoffice-l10n-mr libreoffice-l10n-mn
libreoffice-l10n-ml libreoffice-l10n-mk libreoffice-l10n-lv libreoffice-l10n-lt libreoffice-l10n-ko libreoffice-l10n-kmr libreoffice-l10n-km
libreoffice-l10n-kk libreoffice-l10n-ka libreoffice-l10n-ja libreoffice-l10n-it libreoffice-l10n-is libreoffice-l10n-id libreoffice-l10n-hu
libreoffice-l10n-hr libreoffice-l10n-hi libreoffice-l10n-he libreoffice-l10n-gu libreoffice-l10n-gl libreoffice-l10n-gd libreoffice-l10n-ga
libreoffice-l10n-fr libreoffice-l10n-fi libreoffice-l10n-fa libreoffice-l10n-eu libreoffice-l10n-et libreoffice-l10n-es libreoffice-l10n-eo
libreoffice-l10n-en-za libreoffice-l10n-en-gb libreoffice-l10n-el libreoffice-l10n-dz libreoffice-l10n-de libreoffice-l10n-da
libreoffice-l10n-cy libreoffice-l10n-cs libreoffice-l10n-ca libreoffice-l10n-bs libreoffice-l10n-br libreoffice-l10n-bn libreoffice-l10n-bg
libreoffice-l10n-be libreoffice-l10n-ast libreoffice-l10n-as libreoffice-l10n-ar libreoffice-l10n-af
You must choose one to install.
"libreoffice-l10n-4.4" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "libreoffice-lightproof-en" instead of the
virtual package "libreoffice-grammarcheck-en-us"
Note: selecting "libreoffice-lightproof-en" instead of the
virtual package "libreoffice-grammarcheck-en-za"
"libreoffice-avmedia-backend:i386" is a virtual package provided by:
libreoffice-avmedia-backend-vlc:i386 libreoffice-avmedia-backend-gstreamer:i386
You must choose one to install.
Note: selecting "libreoffice-report-builder" instead of the
virtual package "libreoffice-reportdesigner"
Note: selecting "libreoffice-core:i386" instead of the
virtual package "libreoffice-bundled:i386"
"libreoffice-help-5.0" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "libreoffice-voikko" instead of the
virtual package "libreoffice-hyphenation-fi"
Note: selecting "libreoffice-voikko:i386" instead of the
virtual package "libreoffice-hyphenation-fi:i386"
Note: selecting "libreoffice-voikko" instead of the
virtual package "libreoffice-spellcheck-fi"
Note: selecting "libreoffice-voikko:i386" instead of the
virtual package "libreoffice-spellcheck-fi:i386"
"libreoffice-help-4.4" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "libreoffice-gnome:i386" instead of the
virtual package "libreoffice-gtk-gnome:i386"
Note: selecting "libreoffice-lightproof-en" instead of the
virtual package "libreoffice-grammarcheck-en-gb"
Note: selecting "libreoffice-lightproof-hu" instead of the
virtual package "libreoffice-grammarcheck-hu"
Note: selecting "browser-plugin-libreoffice" instead of the
virtual package "mozilla-libreoffice"
Note: selecting "browser-plugin-libreoffice:i386" instead of the
virtual package "mozilla-libreoffice:i386"
"libreoffice-l10n-5.0" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "openoffice.org-dtd-officedocument1.0" instead of the
virtual package "libreoffice-dtd-officedocument1.0"
Note: selecting "libreoffice-zemberek" instead of the
virtual package "libreoffice-hyphenation-tr"
"libreoffice-grammarcheck" is a virtual package provided by:
libreoffice-lightproof-ru-ru libreoffice-lightproof-hu libreoffice-lightproof-en
You must choose one to install.
Note: selecting "libreoffice-zemberek" instead of the
virtual package "libreoffice-spellcheck-tr"
Note: selecting "libreoffice-lightproof-ru-ru" instead of the
virtual package "libreoffice-grammarcheck-ru"
The following packages will be REMOVED:
libreoffice{p} libreoffice-avmedia-backend-gstreamer{p} libreoffice-base{p} libreoffice-base-core{p} libreoffice-base-drivers{p}
libreoffice-calc{p} libreoffice-common{p} libreoffice-core{p} libreoffice-draw{p} libreoffice-evolution{p} libreoffice-gnome{p}
libreoffice-gtk{p} libreoffice-help-en-us{p} libreoffice-impress{p} libreoffice-java-common{p} libreoffice-math{p}
libreoffice-report-builder-bin{p} libreoffice-sdbc-firebird{p} libreoffice-sdbc-hsqldb{p} libreoffice-style-galaxy{p}
libreoffice-style-tango{p} libreoffice-writer{p}
0 packages upgraded, 0 newly installed, 22 to remove and 1 not upgraded.
Need to get 0 B of archives. After unpacking 332 MB will be freed.
The following packages have unmet dependencies:
gnome : Depends: libreoffice-evolution but it is not going to be installed.
Depends: libreoffice-gnome but it is not going to be installed.
Depends: libreoffice-writer but it is not going to be installed.
Depends: libreoffice-calc but it is not going to be installed.
Depends: libreoffice-impress but it is not going to be installed.
python3-uno : Depends: libreoffice-core (= 1:4.3.3-2+deb8u1) but it is not going to be installed.
mythes-en-us : Depends: libreoffice-core but it is not going to be installed. or
openoffice.org-core (>= 1.9) which is a virtual package.
The following actions will resolve these dependencies:

Remove the following packages:
1) gnome
2) mythes-en-us
3) python3-uno
4) unoconv

Leave the following dependencies unresolved:
5) gnome-documents recommends unoconv
6) hyphen-en-us recommends libreoffice-writer | openoffice.org-writer
7) task-gnome-desktop recommends gnome
8) task-gnome-desktop recommends libreoffice-gnome
9) task-gnome-desktop recommends libreoffice-evolution
10) task-gnome-desktop recommends libreoffice
11) task-gnome-desktop recommends libreoffice-help-en-us
12) task-gnome-desktop recommends mythes-en-us
13) unoconv recommends libreoffice-writer
14) unoconv recommends libreoffice-draw
15) unoconv recommends libreoffice-calc
16) unoconv recommends libreoffice-impress


Também tentei o "sudo apt-get --no-install-recommends --no-install-suggests remove libreoffice" esse comando não remove o libreoffice completamente mas somente um pacote chamado libreoffice de 157kb. Os demais pacotes como libreoffice-core, common, calc, write... não são removidos.


6. Re: Desinstalação do LibreOffice

Lucas Alves Santos
Lwkas

(usa XUbuntu)

Enviado em 10/08/2015 - 11:50h

jprrezende escreveu:

Estou usando conforme orientação na wiki page do debian:

sudo aptitude purge libreoffice?

ao executar ele retorna o seguinte:


sudo aptitude purge libreoffice?
"libreoffice-l10n-4.3" is a virtual package provided by:
libreoffice-l10n-zu libreoffice-l10n-zh-tw libreoffice-l10n-zh-cn libreoffice-l10n-xh libreoffice-l10n-vi libreoffice-l10n-ve
libreoffice-l10n-uz libreoffice-l10n-uk libreoffice-l10n-ug libreoffice-l10n-ts libreoffice-l10n-tr libreoffice-l10n-tn libreoffice-l10n-th
libreoffice-l10n-tg libreoffice-l10n-te libreoffice-l10n-ta libreoffice-l10n-sv libreoffice-l10n-st libreoffice-l10n-ss libreoffice-l10n-sr
libreoffice-l10n-sl libreoffice-l10n-sk libreoffice-l10n-si libreoffice-l10n-rw libreoffice-l10n-ru libreoffice-l10n-ro libreoffice-l10n-pt-br
libreoffice-l10n-pt libreoffice-l10n-pl libreoffice-l10n-pa-in libreoffice-l10n-or libreoffice-l10n-om libreoffice-l10n-oc libreoffice-l10n-nso
libreoffice-l10n-nr libreoffice-l10n-nn libreoffice-l10n-nl libreoffice-l10n-ne libreoffice-l10n-nb libreoffice-l10n-mr libreoffice-l10n-mn
libreoffice-l10n-ml libreoffice-l10n-mk libreoffice-l10n-lv libreoffice-l10n-lt libreoffice-l10n-ko libreoffice-l10n-kmr libreoffice-l10n-km
libreoffice-l10n-kk libreoffice-l10n-ka libreoffice-l10n-ja libreoffice-l10n-it libreoffice-l10n-is libreoffice-l10n-id libreoffice-l10n-hu
libreoffice-l10n-hr libreoffice-l10n-hi libreoffice-l10n-he libreoffice-l10n-gu libreoffice-l10n-gl libreoffice-l10n-gd libreoffice-l10n-ga
libreoffice-l10n-fr libreoffice-l10n-fi libreoffice-l10n-fa libreoffice-l10n-eu libreoffice-l10n-et libreoffice-l10n-es libreoffice-l10n-eo
libreoffice-l10n-en-za libreoffice-l10n-en-gb libreoffice-l10n-el libreoffice-l10n-dz libreoffice-l10n-de libreoffice-l10n-da
libreoffice-l10n-cy libreoffice-l10n-cs libreoffice-l10n-ca libreoffice-l10n-bs libreoffice-l10n-br libreoffice-l10n-bn libreoffice-l10n-bg
libreoffice-l10n-be libreoffice-l10n-ast libreoffice-l10n-as libreoffice-l10n-ar libreoffice-l10n-af
You must choose one to install.
"libreoffice-l10n-4.4" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "libreoffice-lightproof-en" instead of the
virtual package "libreoffice-grammarcheck-en-us"
Note: selecting "libreoffice-lightproof-en" instead of the
virtual package "libreoffice-grammarcheck-en-za"
"libreoffice-avmedia-backend:i386" is a virtual package provided by:
libreoffice-avmedia-backend-vlc:i386 libreoffice-avmedia-backend-gstreamer:i386
You must choose one to install.
Note: selecting "libreoffice-report-builder" instead of the
virtual package "libreoffice-reportdesigner"
Note: selecting "libreoffice-core:i386" instead of the
virtual package "libreoffice-bundled:i386"
"libreoffice-help-5.0" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "libreoffice-voikko" instead of the
virtual package "libreoffice-hyphenation-fi"
Note: selecting "libreoffice-voikko:i386" instead of the
virtual package "libreoffice-hyphenation-fi:i386"
Note: selecting "libreoffice-voikko" instead of the
virtual package "libreoffice-spellcheck-fi"
Note: selecting "libreoffice-voikko:i386" instead of the
virtual package "libreoffice-spellcheck-fi:i386"
"libreoffice-help-4.4" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "libreoffice-gnome:i386" instead of the
virtual package "libreoffice-gtk-gnome:i386"
Note: selecting "libreoffice-lightproof-en" instead of the
virtual package "libreoffice-grammarcheck-en-gb"
Note: selecting "libreoffice-lightproof-hu" instead of the
virtual package "libreoffice-grammarcheck-hu"
Note: selecting "browser-plugin-libreoffice" instead of the
virtual package "mozilla-libreoffice"
Note: selecting "browser-plugin-libreoffice:i386" instead of the
virtual package "mozilla-libreoffice:i386"
"libreoffice-l10n-5.0" exists in the package database, but it is not a
real package and no package provides it.
Note: selecting "openoffice.org-dtd-officedocument1.0" instead of the
virtual package "libreoffice-dtd-officedocument1.0"
Note: selecting "libreoffice-zemberek" instead of the
virtual package "libreoffice-hyphenation-tr"
"libreoffice-grammarcheck" is a virtual package provided by:
libreoffice-lightproof-ru-ru libreoffice-lightproof-hu libreoffice-lightproof-en
You must choose one to install.
Note: selecting "libreoffice-zemberek" instead of the
virtual package "libreoffice-spellcheck-tr"
Note: selecting "libreoffice-lightproof-ru-ru" instead of the
virtual package "libreoffice-grammarcheck-ru"
The following packages will be REMOVED:
libreoffice{p} libreoffice-avmedia-backend-gstreamer{p} libreoffice-base{p} libreoffice-base-core{p} libreoffice-base-drivers{p}
libreoffice-calc{p} libreoffice-common{p} libreoffice-core{p} libreoffice-draw{p} libreoffice-evolution{p} libreoffice-gnome{p}
libreoffice-gtk{p} libreoffice-help-en-us{p} libreoffice-impress{p} libreoffice-java-common{p} libreoffice-math{p}
libreoffice-report-builder-bin{p} libreoffice-sdbc-firebird{p} libreoffice-sdbc-hsqldb{p} libreoffice-style-galaxy{p}
libreoffice-style-tango{p} libreoffice-writer{p}
0 packages upgraded, 0 newly installed, 22 to remove and 1 not upgraded.
Need to get 0 B of archives. After unpacking 332 MB will be freed.
The following packages have unmet dependencies:
gnome : Depends: libreoffice-evolution but it is not going to be installed.
Depends: libreoffice-gnome but it is not going to be installed.
Depends: libreoffice-writer but it is not going to be installed.
Depends: libreoffice-calc but it is not going to be installed.
Depends: libreoffice-impress but it is not going to be installed.
python3-uno : Depends: libreoffice-core (= 1:4.3.3-2+deb8u1) but it is not going to be installed.
mythes-en-us : Depends: libreoffice-core but it is not going to be installed. or
openoffice.org-core (>= 1.9) which is a virtual package.
The following actions will resolve these dependencies:

Remove the following packages:
1) gnome
2) mythes-en-us
3) python3-uno
4) unoconv

Leave the following dependencies unresolved:
5) gnome-documents recommends unoconv
6) hyphen-en-us recommends libreoffice-writer | openoffice.org-writer
7) task-gnome-desktop recommends gnome
8) task-gnome-desktop recommends libreoffice-gnome
9) task-gnome-desktop recommends libreoffice-evolution
10) task-gnome-desktop recommends libreoffice
11) task-gnome-desktop recommends libreoffice-help-en-us
12) task-gnome-desktop recommends mythes-en-us
13) unoconv recommends libreoffice-writer
14) unoconv recommends libreoffice-draw
15) unoconv recommends libreoffice-calc
16) unoconv recommends libreoffice-impress


Também tentei o "sudo apt-get --no-install-recommends --no-install-suggests remove libreoffice" esse comando não remove o libreoffice completamente mas somente um pacote chamado libreoffice de 157kb. Os demais pacotes como libreoffice-core, common, calc, write... não são removidos.


Remova um de cada vez então.

sudo apt-get remove libreoffice-core
sudo apt-get remove common
sudo apt-get remove calc
sudo apt-get remove write

etc, etc, etc, etc.......Tenta ir removendo pacote por pacote, ou então remove tudo mesmo junto com o Gnome e depois instala o Gnome denovo!




7. Re: Desinstalação do LibreOffice

Eliane Domingos de Sousa
elianedomingos

(usa Linux Mint)

Enviado em 10/08/2015 - 12:20h


sudo apt-get remove libreoffice*

Use o asterisco no final para ele poder remover tudo do LibreOffice.


8. Re: Desinstalação do LibreOffice

Eris Ribeiro Junior
erisrjr

(usa Outra)

Enviado em 10/08/2015 - 12:30h

Como root(ou sudo):


dpkg -r --force-depends <Pacote>


--------------------------------------------
[email protected] ~$ sudo su -
[email protected] ~# find / -iname corrupção -exec rm -rfv {} \;



9. Re: Desinstalação do LibreOffice

João Paulo Ramos Rezende
jprrezende

(usa Debian)

Enviado em 10/08/2015 - 15:36h

elianedomingos escreveu:


sudo apt-get remove libreoffice*

Use o asterisco no final para ele poder remover tudo do LibreOffice.


Eliane, com o asterisco não funciona. tenho que usar o sinal de interrogação para ele considerar tudo.
Com o asterisco ele retorna o seguinte:

[email protected]:~$ sudo apt-get remove libreoffice*
[sudo] password for joaopaulo:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libreoffice_versions.txt
E: Couldn't find any package by regex 'libreoffice_versions.txt'







10. Re: Desinstalação do LibreOffice

Perfil removido
removido

(usa Nenhuma)

Enviado em 10/08/2015 - 15:41h


O correto é instalar em /usr/local, pois é um aplicativo que não faz parte da arvore do apt.


11. Re: Desinstalação do LibreOffice

Eric
Grinder

(usa Slackware)

Enviado em 10/08/2015 - 16:09h

Olha, pelo o que eu to vendo o libreoffice está amarrado ao Gnome mesmo.

Próxima vez que você for instalar o Debian, instale sem o libreoffice, talvez pelo netinstall você consiga.


12. Re: Desinstalação do LibreOffice

LinuxWalker
Delusion

(usa Debian)

Enviado em 10/08/2015 - 23:13h

de que você gosta mais? Debian ou Gnome?
se a resposta for;
1. Debian -> instale outro DE, desinstale LO mesmo que leve embora o gnome, seus programas e arkivos ficarão. Inclusive o navegador web manterá personalizações.
2. Gnome -> Não perca tempo e use fedora. A única distro que não tem essas frescuras de não poder desinstalar um pacote que nem é do gnome, senão leva o gnome embora. Nesta distro o gnome é bom!
3. Os dois -> faça o procedimento 1 e tente reinstalar o gnome sem LO.

---------------------------------------------------------------
Nível usuário, entusiasta, admirador, nada mais:)
---------------------------------------------------------------



01 02